<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_vertical"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="418dp"
        android:layout_height="283dp"
        android:layout_gravity="center"
        android:background="@drawable/bg_shu_ru_kuang"
        android:orientation="vertical"
        android:paddingLeft="46dp"
        android:paddingRight="41dp">

        <TextView
                android:ellipsize="end"
                android:maxLines="1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="14dp"
            android:text="请选择存储位置"
            android:textColor="@color/black"
            android:textSize="15sp" />

        <LinearLayout
            android:layout_width="331dp"
            android:layout_height="197dp"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="33dp"
            android:background="@drawable/bgm_cun_chu"
            android:orientation="horizontal"
            android:padding="0.2dp">

            <LinearLayout
                android:layout_width="150dp"
                android:layout_height="197dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:background="@color/purple_FFE0E0E0"
                    android:gravity="center"
                    android:text="化学品柜"
                    android:textColor="@color/black"
                    android:textSize="13sp" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerViewListLeft"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />
            </LinearLayout>

            <View
                android:layout_width="0.5dp"
                android:layout_height="match_parent"
                android:background="@color/purple_E0E0E0" />

            <LinearLayout
                android:layout_width="181dp"
                android:layout_height="197dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:background="@color/purple_FFE0E0E0"
                    android:gravity="center"
                    android:text="柜门"
                    android:textColor="@color/black"
                    android:textSize="13sp" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerViewListRight"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/lin3"
                android:layout_width="181dp"
                android:layout_height="197dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:visibility="gone">

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:background="@color/purple_FFE0E0E0"
                    android:gravity="center"
                    android:text="柜层"
                    android:textColor="@color/black"
                    android:textSize="13sp" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/cabinetLayer"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>

    <Button
        android:id="@+id/butClos"
        android:layout_width="125dp"
        android:layout_height="35dp"
        android:layout_gravity="center"
        android:layout_marginTop="17dp"
        android:background="@drawable/bg_quan_xin_twoe"
        android:text="关闭"
        android:textColor="@color/white" />
</LinearLayout>